<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3"
      crossorigin="anonymous"
    />
    <link
      rel="stylesheet"
      href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.7.2/font/bootstrap-icons.css"
    />
    <link rel="stylesheet" href="style.css" />
    <title>Document</title>
  </head>

  <!-- Body -->

  <body>
    <div class="container" id="container">
      <div class="row m-5 position-relative">
        <svg
          xmlns="http://www.w3.org/2000/svg"
          width="56"
          height="56"
          fill="#00acee"
          class="col-12 bi bi-twitter color-primary"
          viewBox="0 0 16 16"
        >
          <path
            d="M5.026 15c6.038 0 9.341-5.003 9.341-9.334 0-.14 0-.282-.006-.422A6.685 6.685 0 0 0 16 3.542a6.658 6.658 0 0 1-1.889.518 3.301 3.301 0 0 0 1.447-1.817 6.533 6.533 0 0 1-2.087.793A3.286 3.286 0 0 0 7.875 6.03a9.325 9.325 0 0 1-6.767-3.429 3.289 3.289 0 0 0 1.018 4.382A3.323 3.323 0 0 1 .64 6.575v.045a3.288 3.288 0 0 0 2.632 3.218 3.203 3.203 0 0 1-.865.115 3.23 3.23 0 0 1-.614-.057 3.283 3.283 0 0 0 3.067 2.277A6.588 6.588 0 0 1 .78 13.58a6.32 6.32 0 0 1-.78-.045A9.344 9.344 0 0 0 5.026 15z"
          />
        </svg>

        <button
          type="button"
          id="tweet"
          class="
            position-absolute
            top-0
            start-100
            translate-middle
            col-2
            btn btn-primary
          "
          data-bs-toggle="modal"
          data-bs-target="#tar"
        >
          Add a Post
        </button>
        <div class="modal" id="tar">
          <div class="modal-dialog">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title">Make a Tweet</h5>
                <button
                  type="button"
                  class="btn-close"
                  data-bs-dismiss="modal"
                  aria-label="Close"
                ></button>
              </div>
              <div class="modal-body">
                <form id="form">
                  <label for="postTitle" class="form-label">Tweet Title</label>
                  <input type="text" class="form-control" id="postTitle" />

                  <label for="postText">Tweet text</label>
                  <textarea
                    class="form-control"
                    id="postText"
                    rows="3"
                  ></textarea>
                  <div class="my-3 row px-3 justify-content-between">
                    <button
                      type="submit"
                      class="col-3 btn btn-primary"
                      data-bs-dismiss="modal"
                    >
                      Submit
                    </button>
                    <button
                      type="button"
                      class="col-3 btn btn-secondary"
                      data-bs-dismiss="modal"
                    >
                      Close
                    </button>
                  </div>
                </form>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="row justify-content-center my-5" id="load">
        <div class="lds-default">
          <div></div>
          <div></div>
          <div></div>
          <div></div>
          <div></div>
          <div></div>
          <div></div>
          <div></div>
          <div></div>
          <div></div>
          <div></div>
          <div></div>
        </div>
      </div>
      <div class="row flex-column" id="row">
        <!-- <div class="col bg-custom rounded m-1">
          <div class="row mx-1 me-md-5 flex-nowrap py-3">
            <img
              class="
                img-responsive
                col-3 col-md-2 col-lg-1
                rounded-circle
                align-self-start
                selector
              "
              src="/EWAJB4WUcAAje8s.png"
              alt=""
            />
            <div class="row align-items-start">
              <div class="col-12 p-2">
                <strong><u>Elon Musk</u></strong> <span>@elonmusk</span>
                <br />
                  Dolorem explicabo voluptate id, ex nemo optio aliquam?
                </span>
                <br />
                <span
                  >Lorem ipsum dolor sit amet consectetur adipisicing elit. Eius
                  quas error aliquid, quibusdam corrupti placeat enim
                  reprehenderit dolore sed nisi eveniet modi inventore magni
                  tempora, nesciunt, sint consequuntur quo. Magnam qui corrupti
                  officiis nam asperiores aut cupiditate tenetur totam, harum
                  consectetur, dolorem explicabo voluptate id, ex nemo optio
                  aliquam? Natus.</span
                >
              </div>
            </div>
          </div>
        </div> -->
      </div>
    </div>

    <!-- Scripts -->

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p"
      crossorigin="anonymous"
    ></script>
    <script src="./js/script.js" type="module"></script>
  </body>
</html>
